"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const cp = require("child_process");
const spinner_1 = require("./spinner");
const exec = (command) => new Promise((resolve, reject) => {
    spinner_1.default.spin(command);
    cp.exec(command, (err, stdout, stderr) => {
        if (err)
            return reject(err);
        return resolve(stdout);
    });
});
exports.default = { exec };
//# sourceMappingURL=async.js.map